summaryrefslogtreecommitdiffstats
path: root/libraries
diff options
context:
space:
mode:
author Nishant Limbachia <nishant@mnspace.net>2010-04-24 04:17:41 -0500
committer Erik Hanson <erik@slackbuilds.org>2010-05-15 10:50:27 +0200
commit7a6a8d655aee0951922625a13c03f401fd7d24ff (patch)
tree363161ed654f05927a662f4042ab7ab957a4dbf1 /libraries
parente313b9ba6f932564a6b55a2a667faa9ae7f02d41 (diff)
downloadslackbuilds-7a6a8d655aee0951922625a13c03f401fd7d24ff.tar.gz
slackbuilds-7a6a8d655aee0951922625a13c03f401fd7d24ff.tar.xz
libraries/perl-BerkeleyDB: Updated for version 0.42.
Diffstat (limited to 'libraries')
-rw-r--r--libraries/perl-BerkeleyDB/README2
-rw-r--r--libraries/perl-BerkeleyDB/perl-BerkeleyDB.SlackBuild13
-rw-r--r--libraries/perl-BerkeleyDB/perl-BerkeleyDB.info8
3 files changed, 10 insertions, 13 deletions
diff --git a/libraries/perl-BerkeleyDB/README b/libraries/perl-BerkeleyDB/README
index f16f0cff61..fa4918bc58 100644
--- a/libraries/perl-BerkeleyDB/README
+++ b/libraries/perl-BerkeleyDB/README
@@ -1,3 +1,3 @@
perl-BerkeleyDB is a Perl extension for Berkeley DB version 2, 3 or 4.
-This is required for amavisd package.
+This is required for amavisd-new package.
diff --git a/libraries/perl-BerkeleyDB/perl-BerkeleyDB.SlackBuild b/libraries/perl-BerkeleyDB/perl-BerkeleyDB.SlackBuild
index e3fd851666..e972b19bf2 100644
--- a/libraries/perl-BerkeleyDB/perl-BerkeleyDB.SlackBuild
+++ b/libraries/perl-BerkeleyDB/perl-BerkeleyDB.SlackBuild
@@ -3,7 +3,7 @@
# Slackware Package Build Script for perl modules: BerkeleyDB
# Home Page http://search.cpan.org/dist/BerkeleyDB/
-# Copyright (c) 2009-2010, Nishant Limbachia, Hoffman Estates, IL, USA (nishant__AT__mnspace__DOT__net)
+# Copyright (c) 2009-2010, Nishant Limbachia, Hoffman Estates, IL, USA (nishant _AT_ mnspace _DOT_ net)
# All rights reserved.
# Redistribution and use of this script, with or without modification, is
@@ -28,7 +28,7 @@
SRCNAM=BerkeleyDB
PRGNAM=perl-BerkeleyDB
-VERSION=0.41
+VERSION=0.42
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -84,12 +84,9 @@ cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
# Remove empty directories
find $PKG -depth -type d -empty -exec rm -rf {} \;
-( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
- xargs strip --strip-unneeded 2> /dev/null || true
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
- xargs strip --strip-unneeded 2> /dev/null || true
-)
+### strip binaries
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
( cd $PKG/usr/man
find . -type f -exec gzip -9 {} \;
diff --git a/libraries/perl-BerkeleyDB/perl-BerkeleyDB.info b/libraries/perl-BerkeleyDB/perl-BerkeleyDB.info
index 5611249582..2e6ae9e13c 100644
--- a/libraries/perl-BerkeleyDB/perl-BerkeleyDB.info
+++ b/libraries/perl-BerkeleyDB/perl-BerkeleyDB.info
@@ -1,10 +1,10 @@
PRGNAM="perl-BerkeleyDB"
-VERSION="0.41"
+VERSION="0.42"
HOMEPAGE="http://search.cpan.org/dist/BerkeleyDB/"
-DOWNLOAD="http://search.cpan.org/CPAN/authors/id/P/PM/PMQS/BerkeleyDB-0.41.tar.gz"
-MD5SUM="5941c90783a55ca4280c2963bbe1ac83"
+DOWNLOAD="http://search.cpan.org/CPAN/authors/id/P/PM/PMQS/BerkeleyDB-0.42.tar.gz"
+MD5SUM="4b9c1f6e62b6ef40e6bdc673a3a30a32"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
MAINTAINER="Nishant Limbachia"
EMAIL="nishant@mnspace.net"
-APPROVED="dsomero"
+APPROVED="Erik Hanson"